Google Docs FooBar


Google Docs FooBar
Originally uploaded by sharkbait.

Browser detection gone wrong …….

“You need Safari 2.0.4 or greater”

That is what I am running you feckwits !!

Tags